import pytest
from aircox_streamer.connector import Connector

@pytest.fixture
def connector():
    return Connector()

@pytest.fixture
def connector_inet():
    host, port = '0.0.0.0', 6767
    address = host, port
    connector_instance = Connector(address)
    return connector_instance

@pytest.fixture
def connector_unix():
    address = 'path/to/socket'
    connector_instance = Connector(address)
    return connector_instance